%define	name	scigraphica
%define	version	2.1.0
%define	release	%mkrel 4

Name:		%{name}
Summary:	Data analysis and technical graphics
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	libgtk+extra-2-devel >= 2.0.0
Buildrequires:	termcap-devel ImageMagick 
Buildrequires:	readline-devel libscigraphica-devel
Buildrequires:	python-numarray-devel python-numeric-devel
Url:		http://scigraphica.sourceforge.net/

%description
SciGraphica is a scientific application for data analysis and technical 
graphics. It pretends to be a clone of the popular commercial (and expensive)
application "Microcal Origin". It fully supplies plotting features for 2D, 3D 
and polar charts. The aim is to obtain a fully-featured, cross-platform, 
user-friendly, self-growing scientific application. It is free and
open-source, released under the GPL license. 

%prep
%setup -q

%build
%configure --with-python-numeric-path=/usr/include/python2.5/Numeric/ --disable-imlib
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=scigraphica
Icon=%{name}
Categories=Science;
Name=SciGraphica
Comment=Data Plotting and Visualization
EOF

install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}
convert pixmaps/sg_icon.xpm -size 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert pixmaps/sg_icon.xpm -size 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert pixmaps/sg_icon.xpm -size 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog TODO examples/*.sg examples/*.dat
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/mandriva-*.desktop
%{_datadir}/%{name}
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/gnome/help/%{name}
%{_mandir}/man1/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_libdir}/%{name}/%{version}/plugins
%{_libdir}/%{name}/%{version}/plugins/*/*




%changelog
* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-4mdv2009.0
+ Revision: 252060
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-2mdv2008.1
+ Revision: 148660
- auto convert menu to XDG
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Dec 20 2006 Crispin Boylan <crisb@mandriva.org> 2.1.0-2mdv2007.0
+ Revision: 100458
- BuildReqs cleanup, rebuilt with gtk2
- Import scigraphica

* Wed Jul 27 2005 Lenny Cartier <lenny@mandriva.com> 2.1.0-1mdk
- 2.1.0

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.0-11mdk
- rebuild for new readline
- cosmetics

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-10mdk
- rebuild for new python

* Tue Jul 13 2004 Olivier Blin <blino@mandrake.org> 0.8.0-9mdk
- fix BuildRequires

* Wed Jul 07 2004 Olivier Blin <blino@mandrake.org> 0.8.0-8mdk
- Patch0: gcc 3.4 fixes

